Package: org.codehaus.groovy.transform.trait

## [Java] Annotation Type TraitBridge

- org.codehaus.groovy.transform.trait.Traits.TraitBridge

- Internal annotation used to indicate that a method is a bridge method to a trait default implementation.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `String` | `desc` @return The method descriptor of the method from the trait
    `Class` | `traitClass` @return the trait class

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public String desc

      Returns:
        The method descriptor of the method from the trait

    - #### public Class traitClass

      Returns:
        the trait class